Package org.apache.sling.servlets.resolver.internal.resource

# Class ServletMounter

java.lang.Object
org.apache.sling.servlets.resolver.internal.resource.ServletMounter

public class ServletMounter extends Object
The `SlingServletResolver` resolves a servlet for a request by implementing the `ServletResolver` interface. The resolver uses an own session to find the scripts.

## Constructor Summary

Constructors
Constructor
Description
`ServletMounter(org.osgi.framework.BundleContext context, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, javax.servlet.ServletContext servletContext, org.apache.sling.servlets.resolver.internal.ResolverConfig config)`
Activate this component.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindResolutionCache(ResolutionCache cache)`
`void`
`bindServlet(javax.servlet.Servlet servlet, org.osgi.framework.ServiceReference<javax.servlet.Servlet> reference)`
`protected void`
`deactivate()`
Deactivate this component.
`boolean`
`mountProviders()`
`protected void`
`unbindResolutionCache(ResolutionCache cache)`
`void`
`unbindServlet(org.osgi.framework.ServiceReference<javax.servlet.Servlet> reference)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletMounter

public ServletMounter(org.osgi.framework.BundleContext context, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, javax.servlet.ServletContext servletContext, org.apache.sling.servlets.resolver.internal.ResolverConfig config)
Activate this component.

## Method Details

### deactivate

protected void deactivate()
Deactivate this component.

### bindServlet

public void bindServlet(javax.servlet.Servlet servlet, org.osgi.framework.ServiceReference<javax.servlet.Servlet> reference)

### unbindServlet

public void unbindServlet(org.osgi.framework.ServiceReference<javax.servlet.Servlet> reference)

### mountProviders

public boolean mountProviders()

### bindResolutionCache

protected void bindResolutionCache(ResolutionCache cache)

### unbindResolutionCache

protected void unbindResolutionCache(ResolutionCache cache)